Part of the response of GET /search.

Type: object

Example

Generated Schema example: Generated BrowseProductSummary
{
  "productId": 0,
  "name": "string",
  "set": "string",
  "category": "string",
  "rarity": "string",
  "collectorNumber": "string",
  "imageUrl": "string",
  "isSealed": true,
  "fromPrice": 0,
  "sellerCount": 0,
  "listingCount": 0,
  "disclosures": {
    "imageSource": "catalog",
    "conditionSource": "seller_declared",
    "authenticitySource": "seller_attestation",
    "snapcasterInspected": false,
    "snapcasterGraded": false,
    "snapcasterAuthenticated": false,
    "gradingStandard": "snapcaster-magic-v1",
    "declaredGrade": "string",
    "buyerProtection": "magic-grade-and-authenticity"
  },
  "fulfillmentObligation": {
    "sku": "exact",
    "printing": "exact",
    "language": "exact",
    "finish": "exact",
    "condition": "declared-or-better"
  }
}

Fields

productId integer required

See Canonical catalog in Core concepts.

name string or null required
set string or null required

The card set or expansion.

category string or null required

The trading-card game category.

rarity string or null required

The rarity assigned to the card printing.

collectorNumber string or null required
imageUrl string or null required
isSealed boolean required
fromPrice number required

Minimum offer price across sellers, in dollars as a decimal amount.

sellerCount integer required

Count of distinct sellers offering this product.

listingCount integer required

Exact count of browsable offers for this product under the active filters: one per seller-or-store and SKU-or-variant.

disclosures ListingDisclosures or null required

Provenance, grading, and authenticity statements shown to the buyer.

Show child fieldsHide child fields
disclosures.imageSource string required

Constraints: allowed values: catalog

disclosures.conditionSource string required

Constraints: allowed values: seller_declared

disclosures.authenticitySource string required

Constraints: allowed values: seller_attestation

disclosures.snapcasterInspected boolean required

Constraints: allowed values: false

disclosures.snapcasterGraded boolean required

Constraints: allowed values: false

disclosures.snapcasterAuthenticated boolean required

Constraints: allowed values: false

disclosures.gradingStandard string required

Constraints: allowed values: snapcaster-magic-v1, seller-declared-no-specialist-promise

disclosures.declaredGrade string or null required
disclosures.buyerProtection string required

Constraints: allowed values: magic-grade-and-authenticity, genuine-and-as-described

fulfillmentObligation ListingFulfillmentObligation or null required
Show child fieldsHide child fields
fulfillmentObligation.sku string required

The SKU that identifies the card variant.

Constraints: allowed values: exact

fulfillmentObligation.printing string required

The card printing the seller must supply.

Constraints: allowed values: exact

fulfillmentObligation.language string required

The language of the card printing.

Constraints: allowed values: exact

fulfillmentObligation.finish string required

The physical finish or foil treatment of the card.

Constraints: allowed values: exact

fulfillmentObligation.condition string required

The normalized condition assigned to the card.

Constraints: allowed values: declared-or-better

Used by